footer {
  display: flex;
  background-color: #1b262f;
  height: 100px;
  align-items: center;
  background-image: url(https://alonsohs.github.io/payapi-multi-page-website/assets/shared/desktop/bg-pattern-circle.svg);
  background-repeat: no-repeat;
  background-position: calc(50% + 700px) 20%;

  a {
    opacity: 0.8;
    color: #fbfcfe;
  }

  a:hover {
    opacity: 1;
  }

  ul {
    display: flex;

    li {
      list-style: none;

      a {
        color: #fbfcfe;
        opacity: 0.8;
        text-decoration: none;
        margin-left: 70px;
      }
    }
  }

  .social-links {
    margin-left: auto;

    .social-link-icon {
      margin-left: 20px;
      opacity: 1;
    }

    .social-link-icon {
      margin-left: 20px;
      opacity: 1;
      fill: #fbfcfe;

      svg:link,
      svg:visited {
        fill: #fbfcfe;
      }

      svg:hover {
        fill: var(--charm-pink);
      }
    }
  }
}

@include lg {
  footer {
    background-position: calc(50% + 400px) 20%;

    li:nth-child(1) {
      margin-left: 2vw;
    }

    nav {
      a {
        margin-left: 6vw;
      }
    }
  }
}

@include md {
  footer {
    flex-direction: column;
    justify-content: space-evenly;
    height: 353px;
    background-position: center 50vw;

    nav {
      height: 120px;
      margin-top: 0;

      ul {
        height: inherit;
        flex-direction: column;
        align-items: center;
        justify-content: space-between;
        margin-top: 0;

        li:nth-child(1) {
          margin-left: 0;
        }

        a {
          margin: 0;
          color: #fbfcfe;
          opacity: 0.8;
        }
      }
    }

    .social-links {
      margin: 0;
    }
  }
}
